Altibase.jdbc.driver.util

## Class DynamicArray

- java.lang.Object
- - Altibase.jdbc.driver.util.DynamicArray

Direct Known Subclasses:
  BooleanDynamicArray, ByteDynamicArray, DoubleDynamicArray, FloatDynamicArray, IntDynamicArray, LongDynamicArray, ObjectDynamicArray, ShortDynamicArray

    public abstract class DynamicArray
    extends java.lang.Object

### Field Summary

Fields
`protected DynamicArrayCursor` `mLoadCursor`
`protected DynamicArrayCursor` `mStoreCursor`

### Constructor Summary

Constructors
Constructor and Description
`DynamicArray()`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract void` `allocChunkEntry(int aChunkCount)`
`protected void` `checkChunk()`
`protected abstract void` `expand(int aChunkIndex, int aChunkSize)`
`static java.util.List<java.lang.Integer>` `getChunkSizes()`
`static int` `getDynamicArrySize()`
`void` `setCursor(DynamicArrayCursor aStoreCursor, DynamicArrayCursor aLoadCursor)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### mStoreCursor

    protected DynamicArrayCursor mStoreCursor

#### mLoadCursor

    protected DynamicArrayCursor mLoadCursor

### Constructor Detail

#### DynamicArray

    public DynamicArray()

### Method Detail

#### setCursor

    public void setCursor(DynamicArrayCursor aStoreCursor,
                          DynamicArrayCursor aLoadCursor)

#### checkChunk

    protected void checkChunk()

#### getDynamicArrySize

    public static int getDynamicArrySize()

#### getChunkSizes

    public static java.util.List<java.lang.Integer> getChunkSizes()

#### allocChunkEntry

    protected abstract void allocChunkEntry(int aChunkCount)

#### expand

    protected abstract void expand(int aChunkIndex,
                                   int aChunkSize)